Inhalte
Index 🔎︎

# Funktion Hex

Liefert das Ergebnis der Umrechnung einer Zahl in das Hexadezimalformat.

## Syntax:

    Hex (Zahl)

## Rückgabewert:

String

## Parameter:

Zahl: Ein beliebiger in eine Hexadezimalzahl zu konvertierender numerischer Ausdruck.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleHex
    ' verwendet Basic-Formeln in LibreOffice Calc
    Dim a2, b2, c2 As String
        a2 = "&H3E8"
        b2 = Hex2Lng(a2)
        MsgBox b2
        c2 = Lng2Hex(b2)
        MsgBox c2
    End Sub

    Function Hex2Lng(sHex As String) As Long
    ' Gibt eine ganze 32-Bit-Zahl mit Vorzeichen aus einem 8-stelligen Hexadezimalwert zurück.
        Hex2Lng = clng( sHex )
    End Function

    Function Lng2Hex(iLong As Long) As String
    ' Berechnet den 8-stelligen Hexadezimalwert aus einer ganzen 32-Bit-Zahl mit Vorzeichen.
        Lng2Hex = "&H" & Hex( iLong )
    End Function